> ## Documentation Index
> Fetch the complete documentation index at: https://cubed3-feat-druid-driver-streaming.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app config



## OpenAPI

````yaml /api-reference/api.yaml get /v1/app-config
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
paths:
  /v1/app-config:
    get:
      tags:
        - App Theme
      summary: Get app config
      operationId: getAppConfig
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppConfigResponse'
          description: ''
components:
  schemas:
    AppConfigResponse:
      properties:
        appTheme:
          oneOf:
            - $ref: '#/components/schemas/AppTheme'
            - type: 'null'
        applyThemeGlobally:
          type: boolean
        creatorMode:
          oneOf:
            - $ref: '#/components/schemas/CreatorMode'
            - type: 'null'
      required:
        - applyThemeGlobally
      type: object
    AppTheme:
      properties:
        dark:
          $ref: '#/components/schemas/AppThemeScheme'
        light:
          $ref: '#/components/schemas/AppThemeScheme'
        typography:
          oneOf:
            - $ref: '#/components/schemas/AppThemeTypography'
            - type: 'null'
      required:
        - light
        - dark
      type: object
    CreatorMode:
      properties:
        showWorkspaceTitle:
          oneOf:
            - type: boolean
            - type: 'null'
        workspaceTitle:
          oneOf:
            - type: string
            - type: 'null'
      type: object
    AppThemeScheme:
      properties:
        accentColor:
          type: string
        backgroundColor:
          type: string
        contrast:
          type: number
        foregroundColor:
          type: string
        logoUrl:
          type: string
      required:
        - accentColor
        - backgroundColor
        - foregroundColor
        - contrast
        - logoUrl
      type: object
    AppThemeTypography:
      properties:
        body:
          $ref: '#/components/schemas/AppThemeFontRef'
        fonts:
          items:
            $ref: '#/components/schemas/ThemeFont'
          type: array
        heading:
          $ref: '#/components/schemas/AppThemeFontRef'
      required:
        - fonts
        - body
        - heading
      type: object
    AppThemeFontRef:
      properties:
        fontRef:
          type: string
        fontWeight:
          type: number
      required:
        - fontRef
        - fontWeight
      type: object
    ThemeFont:
      properties:
        family:
          oneOf:
            - type: string
            - type: 'null'
        format:
          type: string
        id:
          type: string
        name:
          oneOf:
            - type: string
            - type: 'null'
        url:
          type: string
      required:
        - id
        - url
        - format
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````